Likes Likes:  0
Resultaten 1 tot 11 van de 11
  1. #1
    6 problems for whmcs 7.10.2 op centos 8
    geregistreerd gebruiker
    6 Berichten
    Ingeschreven
    22/05/20

    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    0 Berichten zijn liked


    Naam: Eric

    Thread Starter

    6 problems for whmcs 7.10.2 op centos 8

    Beste helpers/lezers

    ik heb de whmcs 7.10.2 en alles lijkt normaal te werken, op mijn centos 8 server.
    toch ervaar ik 4 warnings en 2 need attention in whmcs.
    De volgende problemen treden op:

    1= Required PHP Extensions
    The following PHP extensions are required for WHMCS to function:

    imap


    2= Lax Permissions Check
    Your configuration file is writable. This is a security risk on shared systems.


    3= Recommended PHP Extensions
    The following PHP extensions are recommended by WHMCS. WHMCS will still function without these, but certain modules may not work:

    xmlrpc


    4= Using Default Paths
    Using custom paths for some parts of WHMCS enhance security. Your installation is still using the following default paths:
    downloads
    attachments

    5= Custom Templates
    If you want to customize the the look and feel of this installation we recommend you use custom templates to avoid overwriting customisations to the default templates on upgrade. You are currently not using a custom template in the following locations:

    Winkelwagen
    Klantenpaneel

    6= PHP Version
    Your PHP version 7.2.31 is supported by WHMCS.

    The PHP 7.2 branch no longer receives regular bug fixes and will only receive critical security updates until it reaches its end of life. Please see
    ik zal bovenstaande kort toelichten in een replay op dit bericht

  2. #2
    6 problems for whmcs 7.10.2 op centos 8
    geregistreerd gebruiker
    6 Berichten
    Ingeschreven
    22/05/20

    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    0 Berichten zijn liked


    Naam: Eric

    Thread Starter
    Ik ben zelf de webhoster aanbieder en heb GEEN support ondersteuning.
    ik maak gebruik van Directadmin 2020 en heb GEEN cpanel
    ook heb ik veel van bovenstaande gevraagd via een support wat niks oplevert + op de volgende website info gelezen:
    link

    1 & 3 & 6 lijken iets met elkaar te maken, ik gebruik de laatste update van php 5.0.2 en ik zie de webserver op php 7.2.31 draait.
    Ik kan niet hoger updaten, of wijzigingen aan brengen, in directadmin zijn update's onlangs toegepast.

    2= configuration.php zal de rechten 0400 moeten krijgen en dat is het probleem opgelost, echter in file zilla werkt dit niet, hij verspringt steeds automatisch terug naar 0600 - volgens whmcs moet je hogere toegangs rechten hebben, maar ze willen neit uitleggen hoe je dat doet.
    het probleem wordt opgelost als ik deze bestand rechten wijzig, maar hoe als ze automatisch worden hernoemd?

    4= ik maak 2 mappen aan buiten de public_html.... ik ga binnen whmcs naar de afdeling Storage Settings en wijzig de locatie naar die map.
    i.p.v. een error weg gaat komt er zelfs een error erbij! - volgens whmcs moet je de locatie hernoemen, maar ook dan blijft de fout actief.

    5= template 6 staat online en als ik template 7 toevoeg en 6 (six) weg haal ik deze fout waarschijnlijk opgelost, toch vind ik template 7 niet toef eruit zien voor klanten. Het verstoord me overzicht en is een lelijke template.
    volgens whmcs moet het mogelijk zijn template 6 te gebruiken.
    maar ik geraak niet uit hun documentatie:
    linkje

    in afwachting misschien iemand met wat whmcs ervaring die t beter kan toelichten dan de whmcs support, want ze schuiven het probleem af ze zelf geen technische support leveren hierop.

  3. #3
    6 problems for whmcs 7.10.2 op centos 8
    geregistreerd gebruiker
    79 Berichten
    Ingeschreven
    16/01/11

    Locatie
    Eindhoven, Nederland

    Post Thanks / Like
    Mentioned
    5 Post(s)
    Tagged
    0 Thread(s)
    0 Berichten zijn liked


    Naam: Wouter van Os
    View wouter0100's profile on LinkedIn

    • 1 & 3 kan opgelost worden door de PHP extensies imap en xmlrpc te installeren.
    • 2 kan opgelost worden door je permissions van de `configuration.php` aan te passen door (grotendeels) op read-only te zetten.
    • 4 kan je aanpassen via de WHMCS admin. Uit m'n hoofd Setup => Storage (of iets dat hierop lijkt). Vervolgens moet je even nieuwe paden toevoegen voor andere locaties op je filesysteem via de tweede tab. Dan kan je vervolgens via de eerste tab de files migreren van de huidige naar de nieuwe locatie. Hierna kan je de oude locatie verwijderen.
    • 5 kan opgelost worden door een eigen template te gebruiken. Veel bedrijven maken wijzigingen, waardoor ze er vanuit gaan dat je dit doet en geven ze dit als warning.
    • 6 kan opgelost worden door je PHP versie te upgraden. PHP 7.2.31 is eind dit jaar End of Life en ontvangt nu al geen updates meer.


    Verdere support lever ik met alle plezier vanuit m'n bedrijf, wat gespecialiseerd is in WHMCS. Hierbij nemen we het beheer van je WHMCS installatie ook uit handen of ondersteunen we je beter met vraagstukken. Stuur me anders even een privébericht.
    Laatst gewijzigd door wouter0100; 23/05/20 om 00:05.

  4. #4
    6 problems for whmcs 7.10.2 op centos 8
    geregistreerd gebruiker
    6 Berichten
    Ingeschreven
    22/05/20

    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    0 Berichten zijn liked


    Naam: Eric

    Thread Starter
    Beste wouter0100

    Bedankt voor je reactie!

    1&3 = imap & xmlrpc zijn beiden op de server geinstalleerd de fout blijft actief in whmcs.

    2= dat is juist het probleem... hij weigerd op read te gaan, het past zich automatisch terug aan, hoe zet ik hem op read?

    4= als ik de oude locatie verwijder, dan werkt de whmcs niet meer en krijg ik een fout op me whmcs erbij. !?!

    5= ik heb voorheen een andere naam gehad, en had via via alles werkende... maar helaas die helpen niet mee... de template "seven" geeft geen error, wel template "six" dus ik moet overwegen een eigen template uit te voeren.... hmmmm dan eens template six misschien bewerken kan dat ook?

    6= de meeste recentelijke php draait nu, de laatste update gaf hij aan 7.2.31 is pas geinstalleerd geweest

    al met al... kom ik niet verder, de fouten blijven hiermee nog steeds actief.
    heb je nog ideeën ?

  5. #5
    6 problems for whmcs 7.10.2 op centos 8
    Professional
    3.087 Berichten
    Ingeschreven
    05/02/05

    Locatie
    Alkmaar

    Post Thanks / Like
    Mentioned
    7 Post(s)
    Tagged
    0 Thread(s)
    101 Berichten zijn liked


    Naam: Thomas
    Registrar SIDN: JA
    ISPConnect: Lid
    KvK nummer: 76706966

    1&3 = imap & xmlrpc zijn beiden op de server geinstalleerd de fout blijft actief in whmcs.
    Weet je dat zeker? Heb je het voor de juiste PHP versie geinstalleerd? IMAP heb je alleen nodig voor het ticket systeem. XMLRPC is een advies. Je hebt het niet nodig als je het niet gebruikt.

    2= dat is juist het probleem... hij weigerd op read te gaan, het past zich automatisch terug aan, hoe zet ik hem op read?
    Dat kan niet 'zomaar' automatisch aangepast worden op DirectAdmin. Maar hier staat veel informatie:

    https://help.whmcs.com/m/getting_sta...security-steps

    Op de command line pas je rechten als volgt aan:

    Code:
    $ chmod 400 configuration.php
    Maar het kan ook via de file manager in DIrectAdmin.

    4= als ik de oude locatie verwijder, dan werkt de whmcs niet meer en krijg ik een fout op me whmcs erbij. !?!
    Lees de link hierboven. Daar staat heel veel informatie. Je moet dat heel simpel kunnen vertalen naar hoe je dit doet op DirectAdmin.

    5= ik heb voorheen een andere naam gehad, en had via via alles werkende... maar helaas die helpen niet mee... de template "seven" geeft geen error, wel template "six" dus ik moet overwegen een eigen template uit te voeren.... hmmmm dan eens template six misschien bewerken kan dat ook?
    Hoeft niet. Het is een meer dan verstandig als je zelf aanpassingen maakt maar als je dat niet wilt hoeft het niet. Als je het template aan wilt passen kun je dit doen met behulp van deze GitHub repository: https://github.com/WHMCS/templates-six

    Maar ik ben bang dat je in gigantische problemen gaat komen als je de basis niet weet van servers. En daarmee ook je klanten. Met alle gevolgen van dien. Iedereen moet ergens beginnen, maar ik heb het idee dat je kennis te beperkt is momenteel.



  6. #6
    6 problems for whmcs 7.10.2 op centos 8
    geregistreerd gebruiker
    6 Berichten
    Ingeschreven
    22/05/20

    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    0 Berichten zijn liked


    Naam: Eric

    Thread Starter
    Beste...

    Alles werkt nu idd perfect super bedankt!!! alleen op 1 ding na...

    de php 7.2 blijkt volgens whmcs nog steeds actief...
    op de server heb ik versie 7.2.4 op centos 8 draaien.

    gelukkig is mij kennis en ervaring op de server aanzienelijk verbeterd, maar nog lang geen expert...
    ik beheer de basis nu wel goed.

    waarschijnlijk moet ik iets in whmcs aanpassen om de volgende melding weg zien te kijgen:

    Your PHP version 7.2.31 is supported by WHMCS.

    The PHP 7.2 branch no longer receives regular bug fixes and will only receive critical security updates until it reaches its end of life. Please see
    ze sturen me dan naar deze pagina

    Hoe krijg ik die meldig toch weg?
    Laatst gewijzigd door soundradio; 26/05/20 om 13:56.

  7. #7
    6 problems for whmcs 7.10.2 op centos 8
    geregistreerd gebruiker
    5.664 Berichten
    Ingeschreven
    20/02/05

    Locatie
    Haaksbergen / Amsterdam

    Post Thanks / Like
    Mentioned
    45 Post(s)
    Tagged
    0 Thread(s)
    168 Berichten zijn liked


    Naam: Mark Scholten
    Bedrijf: SinnerG / Stream Service
    Functie: Systeembeheerder
    URL: www.sinnerg.nl
    Registrar SIDN: ja
    KvK nummer: 34255993

    Citaat Oorspronkelijk geplaatst door soundradio Bekijk Berichten
    Beste...

    Alles werkt nu idd perfect super bedankt!!! alleen op 1 ding na...

    de php 7.2 blijkt volgens whmcs nog steeds actief...
    op de server heb ik versie 7.2.4 op centos 8 draaien.

    gelukkig is mij kennis en ervaring op de server aanzienelijk verbeterd, maar nog lang geen expert...
    ik beheer de basis nu wel goed.

    waarschijnlijk moet ik iets in whmcs aanpassen om de volgende melding weg zien te kijgen:

    Your PHP version 7.2.31 is supported by WHMCS.

    The PHP 7.2 branch no longer receives regular bug fixes and will only receive critical security updates until it reaches its end of life. Please see
    ze sturen me dan naar deze pagina

    Hoe krijg ik die meldig toch weg?
    Update PHP naar minimaal 7.3 en die melding zal weg gaan (zodra je die gebruikt ipv 7.2).
    Tools die handig zjn voor ISPs vind je natuurlijk bij Tools 4 ISP.

  8. #8
    6 problems for whmcs 7.10.2 op centos 8
    geregistreerd gebruiker
    6 Berichten
    Ingeschreven
    22/05/20

    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    0 Berichten zijn liked


    Naam: Eric

    Thread Starter
    Citaat Oorspronkelijk geplaatst door Mark17 Bekijk Berichten
    Update PHP naar minimaal 7.3 en die melding zal weg gaan (zodra je die gebruikt ipv 7.2).
    ja zo simpel dacht ik dus ook....

    niet dus!

    je moet eerst iets wijzigen voor hij er op kan !?!
    heb volop lopen google en keer op keer de update toe willen voegen, maar nee hij wil niet wijzigen.
    nergens een goede documentatie dat het uitlegd hoe je hem update op centos 8 ?

    de hardnekkige php 7.2 blijft actief... hij wil er op 1 of ander niet niet op op de server.
    zie door de bomen t bos niet meer met zoveel info.. wat zijn de juiste commands toch
    als dit werkt, staat alles goed.... het is het enige wat maar niet wil lukken.
    whmcs schuift het af naar mij, lost u het maar op..... je moet hem updaten.
    Laatst gewijzigd door soundradio; 27/05/20 om 18:13.

  9. #9
    6 problems for whmcs 7.10.2 op centos 8
    geregistreerd gebruiker
    354 Berichten
    Ingeschreven
    17/12/10

    Locatie
    Eindhoven

    Post Thanks / Like
    Mentioned
    8 Post(s)
    Tagged
    0 Thread(s)
    31 Berichten zijn liked


    Naam: Wil
    Registrar SIDN: nee
    KvK nummer: nvt
    Ondernemingsnummer: nvt

    Je gebruikt toch DirectAdmin?
    Dan is het daar waar je het aanpast en niet in centOS.

    https://help.directadmin.com/item.php?id=345

  10. #10
    6 problems for whmcs 7.10.2 op centos 8
    geregistreerd gebruiker
    6 Berichten
    Ingeschreven
    22/05/20

    Post Thanks / Like
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    0 Berichten zijn liked


    Naam: Eric

    Thread Starter
    Citaat Oorspronkelijk geplaatst door wila Bekijk Berichten
    Je gebruikt toch DirectAdmin?
    Dan is het daar waar je het aanpast en niet in centOS.

    https://help.directadmin.com/item.php?id=345
    de link voor direct admin laat iets anders zien en php 5
    ik zit op 7.2.31 en het moet naar minimaal php 7.3 of hoger....

    dat van directadmin dacht ik ook ff simpel inloggen en de instellingen hoger zetten, maar ik gebruik de versie 2020 en op t net staan oude documentatie online en die functie is nergens te bekennen in versie 2020

    tevens heb ik 3 opties om in te loggen: admin, reseller, user.... waar ik ook kijk, welke tabblad dan ook ik vind het nergens.....
    ik heb alle linkjes en pagina's gehad en vind het niet.

    php moet worden geupgrade, toch vind ik het niet terug.
    als ik op centos 8 de php wil installeren geeft hij een error aan bij deze command:
    sudo dnf install php-gd php-mysqlnd php-soap

    de error = dit niet de juiste command is.
    ik denk ik t me erbij meot neerleggen, dat updaten wil niet lukken en stuit steeds op error en vroeg of laat werkt heel de server niet meer.
    en heb ik meer werk om alles terug te zetten (wel een backup gemaakt, maar toch)

    ik snap die error niet, het is gewoon een foute command...

    hoe simpel kan ik php 7.2.31 in whmcs geupgrade krijgen?
    als ik in google upgrade intik, krijg je alleen "installeren".... het blijft maar fout gaan

    pleasse help.....

  11. #11
    6 problems for whmcs 7.10.2 op centos 8
    geregistreerd gebruiker
    354 Berichten
    Ingeschreven
    17/12/10

    Locatie
    Eindhoven

    Post Thanks / Like
    Mentioned
    8 Post(s)
    Tagged
    0 Thread(s)
    31 Berichten zijn liked


    Naam: Wil
    Registrar SIDN: nee
    KvK nummer: nvt
    Ondernemingsnummer: nvt

    De link naar de help is gewoon niet qua help tekst bijgewerkt met de laatste php versies.

    Maar het is wel hoe het werkt.
    Met DA gebruik je niet de PHP versie van Linux distributie, je moet gebruiken wat DA aanbied.

    Hier is een andere link:
    https://help.directadmin.com/item.php?id=2094

    Je moet dit doen op de command line, niet via het menu.

Labels voor dit Bericht

Webhostingtalk.nl

Contact

  • Rokin 113-115
  • 1012 KP, Amsterdam
  • Nederland
  • Contact
© Copyright 2001-2018 Webhostingtalk.nl.
Web Statistics